Subject: Re: backup or mirror a repository

From: Dan Farina <[email-masked]>
Date: Thu, 27 Sep 2007 17:51:44 -0700

On Thu, 2007-09-27 at 22:56 +0100, Johannes Schindelin wrote:
> I guess you're looking for "git remote add --mirror origin <url>".  AFAIK 
> this is not in any released version yet, though.

I just tried a bleeding edge git with --mirror.

It's close, except (unless there is some other provision to take care of
this) remote branch deletes. (Which, after more gmane trolling, seemed
to be "git remote rm", which doesn't seem present just yet).

Of course, it is completely possible I'm using it incorrectly. In brief,
I did "git init" "git remote add --mirror backup <url>" "git
pull" (perhaps I should have used "git remote update"?) And the behavior
of this is more or less what I wanted, as far as sending branches.
Convenient removal of branches and propagating that removal still stumps
me. Is there a preferred way to do this yet?

Thanks,
fdr